TransactionalSend transactional message

Send transactional message

Send a one-off push notification to a user.

curl -X POST "https://api.flameup.ai/api/v1/workspaces/example_string/transactional/send" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "user_id": "example_string",
  "template_id": "example_string",
  "template": {
    "title": "example_string",
    "body": "example_string",
    "data": {}
  },
  "data": {},
  "platform": "ios"
}'
{
  "success": true,
  "message_id": "example_string",
  "delivered_to": [
    "ios"
  ],
  "devices_count": 10
}
POST
/workspaces/{workspaceId}/transactional/send
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Your Flameup API key (passed as Bearer token)

Your Flameup API key (passed as Bearer token)
Content-Typestring
Required

The media type of the request body

Options: application/json
user_idstring
Required

User's external_id or Flameup person_id

template_idstring

ID of a pre-defined template

templateobject

Inline template (if no template_id)

dataobject

Variables for template personalization

platformstring

Target platform (defaults to all; web coming soon)

Options: ios, android, web, all
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Your Flameup API key (passed as Bearer token)

Path Parameters

Body

application/json
user_idstring
Required

User's external_id or Flameup person_id

template_idstring

ID of a pre-defined template

templateobject

Inline template (if no template_id)

dataobject

Variables for template personalization

platformstring

Target platform (defaults to all; web coming soon)

Allowed values:iosandroidweball

Responses

successboolean
message_idstring
delivered_tostring[]
Allowed values:iosandroidweb
devices_countinteger